0

Initial dsptoolkit setup

I'm trying to install dsptoolkit following instructions here.

When I get to "Install the DSP program" step:

dsptoolkit install-profile https://raw.githubusercontent.com/hifiberry/hifiberry-dsp/master/sample_files/xml/dacdsp-default.xml

I'm getting this error:

pi@moode:~ $ sudo dsptoolkit install-profile ./dacdsp-default.xml
Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/hifiberrydsp/client/sigmatcp.py", line 53, in connect
self.socket.connect((self.ip, self.port))
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/bin/dsptoolkit", line 7, in <module>
cmdline.main()
File "/usr/local/lib/python3.5/dist-packages/hifiberrydsp/dsptoolkit.py", line 837, in main
self.command_map[self.args.command]()
File "/usr/local/lib/python3.5/dist-packages/hifiberrydsp/dsptoolkit.py", line 628, in cmd_install_profile
res = self.dsptk.install_profile_from_content(data)
File "/usr/local/lib/python3.5/dist-packages/hifiberrydsp/dsptoolkit.py", line 277, in install_profile_from_content
return self.sigmatcp.write_eeprom_from_xml(content)
File "/usr/local/lib/python3.5/dist-packages/hifiberrydsp/client/sigmatcp.py", line 125, in write_eeprom_from_xml
self.connect()
File "/usr/local/lib/python3.5/dist-packages/hifiberrydsp/client/sigmatcp.py", line 57, in connect
"Could not connect to {}:{}".format(self.ip, self.port))
hifiberrydsp.server.constants.SigmaTCPException: Could not connect to 127.0.0.1:8086

 

Which seems like indicate that is not sigmatcpserver running.

When I try to start it after looking through this post, but I'm getting error while trying to start server:

pi@moode:~ $ sudo /usr/local/bin/sigmatcpserver -v
Enabling debug logging
Traceback (most recent call last):
File "/usr/local/bin/sigmatcpserver", line 14, in <module>
import hifiberrydsp.server.sigmatcp
File "/usr/local/lib/python3.5/dist-packages/hifiberrydsp/server/sigmatcp.py", line 38, in <module>
from hifiberrydsp.hardware.spi import SpiHandler
File "/usr/local/lib/python3.5/dist-packages/hifiberrydsp/hardware/spi.py", line 36, in <module>
class SpiHandler():
File "/usr/local/lib/python3.5/dist-packages/hifiberrydsp/hardware/spi.py", line 46, in SpiHandler
spi = init_spi()
File "/usr/local/lib/python3.5/dist-packages/hifiberrydsp/hardware/spi.py", line 28, in init_spi
spi.open(0, 0)
FileNotFoundError: [Errno 2] No such file or directory

 

I'm I missing any steps?

 

2 comments

Please sign in to leave a comment.